
/*
 * @(#)MLEditorListener	1.1 11/17/2003
 *
 * Copyright 2003 MakeLogic, Inc. All rights reserved.
 * MakeLogic PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package com.makeLogic.utils;

//import javax.swing.JOptionPane;

import javax.swing.event.DocumentEvent;
import javax.swing.event.DocumentListener;

import com.makeLogic.utils.MLInternalFrame;
import com.makeLogic.utils.SaveMenuItem;

/**
 * This class will implements the methods of DocumentListener which are 
 * used by the MLInternalFrame class of FileMenu 
 * 
 */
public class MLEditorListener implements DocumentListener
{	
	//..Declarations
	SaveMenuItem saveMenuItem;
	MLInternalFrame internalFrame;
	
	//.. constructor
	MLEditorListener(MLInternalFrame internalFrame)
	{
		//..initailizes the internalFrame flag status to true
		internalFrame.setChanged(false);
		//..assigns the old internalFrame to the current InternalFrame
		this.internalFrame=internalFrame;
	}

	//..Document Handlers
	//..ChangedUpdate
	public void changedUpdate(DocumentEvent event)
	{
		//..Do this when the Document is updated
		
		//..checks for * existance in the Tiltle
		if(!internalFrame.getTitle().endsWith("*"))
		{

			//..Appends * to the MLInternalFrame Title
			internalFrame.setTitle(internalFrame.getTitle()+"*");

			//..gets the saveMenuItem
			//saveMenuItem=FileMenu.getSaveMenuItem1();
			saveMenuItem=(SaveMenuItem)FileMenu.getSaveMenuItem();

			//..enables the save button
			saveMenuItem.setEnabled(true);

			//.. saves the editorPane contents into a File
		}
		//..changes the internalFrame flag to true 
		internalFrame.setChanged(true);

	}

	//..insertUpdate
	public void insertUpdate(DocumentEvent event )
	{
		
		if(!internalFrame.getTitle().endsWith("*"))
		{
			//..Appends * to the MLInternalFrame Title
			internalFrame.setTitle(internalFrame.getTitle()+"*");

            //..gets the saveMenuItem
           	saveMenuItem=(SaveMenuItem)FileMenu.getSaveMenuItem();

            //..enables the save button
			saveMenuItem.setEnabled(true);

			//.. saves the editorPane contents into a File
		}
		//..changes the internalFrame flag to true
		internalFrame.setChanged(true);

	}

	//..removeUpdate
	public void removeUpdate(DocumentEvent event)
	{
		
		if(!internalFrame.getTitle().endsWith("*"))
		{
			//..Appends * to the MLInternalFrame Title
			internalFrame.setTitle(internalFrame.getTitle()+"*");

            //..gets the saveMenuItem
			//saveMenuItem=FileMenu.getSaveMenuItem1();
			saveMenuItem=(SaveMenuItem)FileMenu.getSaveMenuItem();

            //..enables the save button
			saveMenuItem.setEnabled(true);

			//.. saves the editorPane contents into a File
		}
		//..changes the internalFrame flag to true
		internalFrame.setChanged(true);


	}
	
}